<?xml version="1.0" encoding="latin1"?>
<demo
	name="slide show"
	year="2005"
	author="NecroStudios"
	track="data/snafu.ogg"
	playerVersion="0.0.1"
	logo="#img-ns_slogan"
	duration="3:15"
	width="1024"
	height="768"
	>
	<!-- 
	track="data/DJ Mangoo - Eurodancer.mp3"
	track="data/shine@2nd stage 2005.mp3"
	track = "data/DJ Mangoo - Goodbye.mp3"
	-->

<!-- DefiniciÃ³n de lo que vayamos a necesitar -->
<library type="CURVE3D">
	<curve3d name="curva2">
		<param name="type" type="string">linear</param>
		<point>
			<float_array id="curva2-array" count="8">
				0.0 0.0 0.0 0.0
				1.0 1.0 0.0 0.0
			</float_array>
		</point>
	</curve3d>
</library>

<library type="GEOMETRY">
	<geometry name="knot" source="data/mesh01.mesh.xml"/>
	<geometry name="mesh01" source="data/mesh01.mesh.xml"/>
	<geometry name="mesh02" source="data/mesh02.mesh.xml"/>
	<geometry name="mesh03" source="data/mesh03.mesh.xml"/>
</library>

<library type="IMAGE">
	<image name="img-nsTv" source="data/nstv.png"/>
	<image name="img-nsTvBlur" source="data/nstv_blur.png"/>
	<image name="img-envMap" source="data/chromic.jpg"/>
	<image name="img-ns_slogan" source="data/necrostudios_slogan.png"/>
	<image name="img-plasma" source="data/noise.png"/>
	<image name="img-logo" source="data/nsinitial.png"/>
	<image name="img-frame" source="data/nsframe_bgtrans.png"/>
</library>

<library type="TEXTURE">
	<texture name="tx-nsTvTex" source="#img-nsTvTex"/>
	<texture name="tx-ns_slogan" source="#img-ns_slogan"/>
	<texture name="tx-plasma" source="#img-plasma"/>
	<texture name="tx-logo" source="#img-logo"/>
</library>

<library type="VARS">
	<var name="var-logopos" type="expr-float3">
		<param name="x" type="add_float">
			<param name="op1" type="float">25</param>
			<param name="op2" type="by_float">
				<param name="op1" type="varfloat">SoundSystem/band-pass</param>
				<param name="op2" type="float">20</param>
			</param>
		</param>
		<param name="y" type="float">75</param>
		<param name="z" type="float">0</param>
	</var>
	
	<!--  sería mejor lo siguiente? -->
	<var name="var-asd" type="expr-float">10 + var-asd * 10.0</var>

	<var name="var-sloganpos" type="float3">100 100 100</var>

	<var name="speed" type="float">0.5</var>
	<var name="vector" type="float3">10 10 -10</var>
</library>


<soundsystem>
	<param name="stream" type="boolean">true</param>

	<bands>
		<band name="band-bass">
			<param name="minfreq" type="float">0</param>
			<param name="maxfreq" type="float">200</param>
			<param name="multiplier" type="float">10</param>
		</band>
		<band name="band-2">
			<param name="minfreq" type="float">200</param>
			<param name="maxfreq" type="float">400</param>
			<param name="multiplier" type="float">1</param>
		</band>
		<band name="band-3">
			<param name="minfreq" type="float">400</param>
			<param name="maxfreq" type="float">800</param>
			<param name="multiplier" type="float">1</param>
		</band>
		<band name="band-4">
			<param name="minfreq" type="float">800</param>
			<param name="maxfreq" type="float">1600</param>
			<param name="multiplier" type="float">1</param>
		</band>
		<band name="band-5">
			<param name="minfreq" type="float">1600</param>
			<param name="maxfreq" type="float">3200</param>
			<param name="multiplier" type="float">1</param>
		</band>
		<band name="band-6">
			<param name="minfreq" type="float">3200</param>
			<param name="maxfreq" type="float">22050</param>
			<param name="multiplier" type="float">1</param>
		</band>
	</bands>
</soundsystem>


<effects>

<effect name="fadein" type="fade" startTime="0.0" endTime="6.0">
	<param name="color" type="float3">0 0 0</param>
</effect>

<effect name="nstv" type="image2d" startTime="0.0" endTime="190.0">
	<param name="image" type=""/>
	<param name="size" type="float3">118 48 0</param>

	<param name="position" type="var_float3">var-logopos</param>

	<param name="color" type="float3">1 1 1</param>
	<param name="alpha" type="float">1</param>
</effect>

<effect name="nstvBlur" type="image2d" startTime="0.0" endTime="190.0">
	<param name="image" type=""/>
	<param name="size" type="float3">118 48 0</param>

	<param name="position" type="var_float3">var-logopos</param>

	<param name="color" type="float3">1 1 1</param>
	<param name="alpha" type="float">1</param>
</effect>

<effect name="hexeffect" type="hexeffect" startTime = "12.60" endTime="25.45">
	<param name="radius" type="float">50.0</param>
	<param name="color" type="float3">0.25 0.5 0.25</param>
	<param name="borderColor" type="float3">0.215 0.25 0.125</param>
</effect>

<effect name="knot" type="object3d" startTime="0.0" endTime="190">
	<param name="mesh" type="geometry">knot</param>
</effect>

<transition name="" type="textureTransition" startTime="0.0" endTime="190.0" priority="2">
	<param name="texture" type="texture">tx-plasma</param>
	<param name="speed" type="float">1.0</param>
</transition>

<effect type="render2texture" startTime="1.0" endTime="2.0">
	<param name="effect" type="effect">
		<effect/>
	</param>

	<param name="texture" type="texture">
		<texture name="rtt001"/>
	</param>
</effect>

<effect name="slogan" type="image2d" startTime="190.0" endTime="196.0">
	<param name="texture" type="texture">#tx-ns_slogan</param>

	<param name="size" type="float3">400 100 0</param>

	<param name="position" type="link">var-sloganpos</param>

	<param name="color" type="float3">1 1 1</param>
	<param name="alpha" type="float">1</param>
</effect>

</effects>

</demo>
